%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global svnrel  6060

Name:           trac-downloads-plugin
Version:        0.12
Release:        1.svn%{svnrel}%{?dist}
Summary:        Download plugin for Trac

Group:          Applications/Internet
License:        BSD
URL:            http://trac-hacks.org/wiki/DownloadsPlugin

# SVN checkout to get source files
# svn co -r %{svnrel} http://trac-hacks.org/svn/downloadsplugin/0.12 downloadsplugin-0.12
Source0:        http://trac-hacks.org/changeset/latest/downloadsplugin/downloadsplugin-0.12-r%{svnrel}.tar.bz2
Source1:        COPYING.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools
Requires:       trac, trac-webadmin

%description
This plugin provides downloads section which may contain
release or other files. It is administrable via WebAdminPlugin
and there is inteface to trac-admin tool that may help during
automatic server maintanance. 

Downloads section of the Trac shows table with information 
about uploaded files such as description, component, version, 
size, architecture, type and optionally assigned tags which 
is download related to. It also collects information about 
number of downloads which can be displayed on wiki page 
together with direct links to specified download.


%prep
%setup -q -n downloadsplugin-%{version}



%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT
install -pm 644 %{SOURCE1} .

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING.txt
%{python_sitelib}/*



%changelog
* Thu Jun 18 2009 Xavier Lamien <laxathom@fedoraproject.org> - 0.12-1.svn6060
- Initial RPM release.
